## org.apache.cocoon.producer
Class ProducerFactory

    java.lang.Object
      |
      +--org.apache.cocoon.framework.AbstractActor
            |
            +--org.apache.cocoon.framework.Router
                  |
                  +--org.apache.cocoon.producer.ProducerFactory

All Implemented Interfaces:
  Actor, Configurable, Status

public class ProducerFactory
extends Router

This class implements the production router by identifying a producer associated to the requested XML resource.

Version:
  $Revision: 1.4 $ $Date: 2000/02/13 18:29:41 $
Author:
  Stefano Mazzocchi

Fields inherited from class org.apache.cocoon.framework.Router
`defaultType, objects`

Fields inherited from class org.apache.cocoon.framework.AbstractActor
`director`

Constructor Summary
`ProducerFactory()`

Method Summary
`Producer` `getProducer(javax.servlet.http.HttpServletRequest request)` This methods returns the instance of the producer associated with the given request.
`java.lang.String` `getStatus()` Returns information about the status of the implementing class.
`void` `init(Configurations conf)` Initialize the class by passing its configurations.

Methods inherited from class org.apache.cocoon.framework.AbstractActor
`init`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ProducerFactory

    public ProducerFactory()

Method Detail

### init

    public void init(Configurations conf)

  Description copied from interface: `Configurable`
  Initialize the class by passing its configurations.
  Overrides:
    `init` in class `Router`

### getProducer

    public Producer getProducer(javax.servlet.http.HttpServletRequest request)
                         throws java.lang.Exception

  This methods returns the instance of the producer associated with the given request.

### getStatus

    public java.lang.String getStatus()

  Description copied from interface: `Status`
  Returns information about the status of the implementing class. Note: this is use instead of the usual `toString()` method because some of these methods are declared final in some classes in JDK 1.1.
  Overrides:
    `getStatus` in class `Router`

Copyright © 1999-2001 Apache Software Foundation. All Rights Reserved.